Package org.eclipse.mat.parser.index

# Interface IIndexReader.IOne2ManyObjectsIndex

All Superinterfaces:
  `IIndexReader`, `IIndexReader.IOne2ManyIndex`

Enclosing interface:
  `IIndexReader`

public static interface IIndexReader.IOne2ManyObjectsIndex extends IIndexReader.IOne2ManyIndex
Index from object id to several object ids. For example inbound references from an object.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getObjectsOf(Serializable key)`
Get the object IDs corresponding to the input key

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader.IOne2ManyIndex

`get`

## Method Details

### getObjectsOf

int[] getObjectsOf(Serializable key) throws SnapshotException, IOException
Get the object IDs corresponding to the input key

Parameters:
  `key` -
Returns:
  a list of object IDs corresponding to the key
Throws:
  `SnapshotException`
  `IOException`